import math

sndPath='media/sounds/'

def scale(c,v):
    return tuple(c*x for x in v)

def add(v1,v2):
    return tuple(x+y for x,y in zip(v1,v2))

def sub(v1,v2):
    return tuple(x-y for x,y in zip(v1,v2))

def mult(v1,v2):
    return tuple(x*y for x,y in zip(v1,v2))

def dot(v1,v2):
    return sum(mult(v1,v2))

def norm(v):
    return math.sqrt(sum(x**2 for x in v))

def dist(v1,v2):
#    return math.sqrt(sum((x-y)**2 for x,y in zip(v1,v2)))
    return norm(sub(v1,v2))

def rot(t,v):
    (x,y)=v[:2]
    return (math.cos(t)*x+math.sin(t)*y,y*math.cos(t)-x*math.sin(t))

